<CsoundSynthesizer>
<CsOptions>
-b10 -B10 -odac
</CsOptions>

<CsInstruments>
sr=44100
kr=4410
ksmps=10
nchnls=1

FLpanel "noise reduction controls", 200, 100, 200, 200
iv1 FLvalue  " ", 32, 20, 160, 10
iv2 FLvalue  " ", 32, 20, 160, 60
gk1, is1 FLslider "masking function level", 1, 32,  0, 5, iv1, 140, 10, 10, 10
gk2, is2 FLslider "noise attenuation", 0, 1,  0, 5, iv2, 140, 10, 10, 60
FLsetVal_i  16, is1
FLsetVal_i  0, is2

FLpanelEnd

FLrun 

instr 1

ifftsize = 1024
iwtype = 1
kattn = gk2
kmlvl = gk1

asig    diskin  "blackbird.wav", 1,0,1

fsig    pvsanal   asig, ifftsize, ifftsize/4, ifftsize, iwtype
fclean  pvstencil fsig, kattn, kmlvl, 1
aclean  pvsynth  fclean 
	out aclean
endin

</CsInstruments>
<CsScore>
f1 0 513 -43  "bnoise3.pvx" 0

i1 0 60

</CsScore>
</CsoundSynthesizer>