; Sample orchestra for chosc opcodes
; Anthony Kozar
; Jan. 2005

sr      = 44100
kr      = 4410
ksmps	= 10
nchnls  = 1


giSine	ftgen	0, 0, 16384, 10, 1

; test instrument for chosc1 opcode
instr 2

	idur			= p3
	istartvalue		= p4
	imodfreq		= p5
	
	kenv		linseg	0, .05, 1.0, idur - .1, 1.0, .05, 0
	kmod		oscil	0.5, imodfreq, giSine
	aosc		chosc1	istartvalue, kmod + 1.0			; C will be between [0,2]
	aout		dcblock	aosc
	
				out		kenv*aout*10000			
endin


; test instrument for chosc2 opcode

; **** I cannot get any real sounds out of this instrument ***
; If you can find some better parameters or a better instrument design,
; please let me know.

instr 3

	idur		= p3
	istart1		= p4
	istart2 	= p5
	ia			= p6
	ib			= p7
	id			= p8
	iC			= p9
	idelaybeg	= p10
	idelayend	= p11
	
;	kenv	linseg	0, .05, 1.0, idur - .1, 1.0, .05, 0
	kdelay	line	idelaybeg, idur, idelayend
	aosc	chosc2	istart1, istart2, ia, ib, id, iC, kdelay
;	aout	dcblock	aosc
	
			out		aosc*10000			
endin
