; Sample orchestra for spiral opcode
; Anthony Kozar
; Jan. 2005

sr      = 44100
kr      = 4410
ksmps	= 10
nchnls  = 2

instr 1

	idur			= p3
	iCarrierAmp		= p4
	iCarrierFreq	= p5
	iModulatorAmp	= p6
	iModulatorFreq	= p7
	
	iamp			= 5000 ;/ (iModulatorAmp*iModulatorAmp)
	
	kenv			linseg	0.0, 0.01, 1.0, idur - .06, 1.0, .05, 0
	areal, aimag	spiral	iCarrierAmp, iCarrierFreq, iModulatorAmp, iModulatorFreq
	
					; outputs are in phase quadrature
					outs	areal*kenv*iamp, aimag*kenv*iamp
			
endin
