; test score for spiral opcode
; Anthony Kozar
; Jan. 2005

; same carrier freq , different modulator freq

;    dur	acar	fcar	amod	fmod
i1 0 2	1.0	400	.01	100
i1 + .	.	400	.01	200
i1 + .	.	400	.01	400
s

; different carrier freq , same modulator freq

;    dur	acar	fcar	amod	fmod
i1 0 2	1.0	100	.01	100
i1 + .	.	200	.01	100
i1 + .	.	400	.01	100
s

; demonstrate the effect of different amod values
; (which can create different envelope characteristics)

;    dur	acar	fcar	amod	fmod
i1 0 2	1.0	111	.1	500
i1 + .	.	111	.03	500
i1 + .	.	111	.01	500
i1 + .	.	111	.003	500
s

; demonstrate the effect of different acar values
; the spiral opcode is EXTREMELY sensitive to changes in acar
; since it iteratively multiplies acar on each sample
; use values other than 1.0 with caution

;    dur	acar	 fcar	amod	fmod
i1 0 2	1.0001 111	.03	500
i1 + .	.	 111	.02	500
i1 5 .      1.0002 111  .03   500

e
