; tarantella.orc

sr      = 44100
kr      = 4410
ksmps	= 10
nchnls  = 1


; basic accordian attempt
instr 2

	idur		= p3
	islur		= p4						; slurring parameter for Scot scores
	ifreq		= cpspch(p5)
	iamp		= p6
	ifn			= p7
	idummy		= p8						; dummy p8 for compatibility with instr 1
	
	kenv		linseg		0, .10, 1.0, idur - .15, 1.0, .05, 0
	aosc		oscil		1.0, ifreq, ifn
	
;	kmod		expseg		0.00001, 0.1, 1.0, idur-0.2, 1.0, 0.1, 0.00001
	kmod		oscil		0.1, 3.0, 1
	aout		pdclip		aosc, 0.73+kmod, 0.0
	
				out			kenv*aout*iamp		
endin

; "french" accordian attempt
instr 1

	idur		= p3
	islur		= p4						; slurring parameter for Scot scores
	ifreq		= cpspch(p5)
	iamp		= p6 * 0.5
	ifn			= p7
	idetuneraw	= (p8 != 0 ? p8 : 3)		; specify detune as an integer (default is 3),
	idetune		= 1.0 + 0.001*idetuneraw	; 2-10 sounds good to me
	
	kenv		linseg		0, .10, 1.0, idur - .15, 1.0, .05, 0
	aosc		oscil		1.0, ifreq, ifn, rnd(1)
	aosc2		oscil		1.0, ifreq*idetune, ifn, rnd(1)
	
;	kmod		expseg		0.00001, 0.1, 1.0, idur-0.2, 1.0, 0.1, 0.00001
	kmod		oscil		0.1, 3.0, 1, rnd(1)
	aout		pdclip		aosc, 0.73+kmod, 0.0
	aout2		pdclip		aosc2, 0.73+kmod, 0.0
	
				out			iamp*kenv*(aout+aout2)
endin
